- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_LoginPageSubedit;'
    name: login page subedit
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - instance: '{13997179-656c-4034-b12f-046a7925bc3b}'
    - instance: '{4a827e38-e07a-4b8b-a19f-9217299f5c45}'
    - instance: '{c67f305e-bd4d-4628-816b-55fb85ea1b67}'
    - instance: '{51b51be3-44fd-48f1-971f-682aee0a6132}'
    - instance: '{684f1e03-9ecd-43d5-8aca-dcf5b84c71f8}'

  - file: '&IDI_File_SignonLogo;'
    name: 'Signon Logo'
    # use ' base64 -w 0 < file.svg | xc ' to copy base64 converted file
    #data: '[encoded data, 9412 characters]'
    data: '[encoded data, 10756 characters]'
    contentType: 'image/svg+xml'
    contentEncoding: 'base64'
    # emits "background-image: url('data:$contentType;$contentEncoding,$data');"

  - imageLayout: '{b50f8614-07bf-4c35-829b-aafbb3d67fab}'
    style: {
      width: { value: 256, unit: '&IDI_MeasurementUnit_Pixel;' },
      height: { value: 256, unit: '&IDI_MeasurementUnit_Pixel;' },
      horizontalAlignment: '&IDI_Alignment_Center;'
    }

  - elementContent: '{13997179-656c-4034-b12f-046a7925bc3b}'
    defaultDataType: '&IDI_File_SignonLogo;'
    order: a
    layout: '{b50f8614-07bf-4c35-829b-aafbb3d67fab}'
    displayOptions:
    - instance: '&IDI_DisplayOption_DoNotShowLabel;'

  - textAttribute:      '&IDA_LoginPageInstructions;'
    name: 'Login Page Instructions'
    index: 1034
    value: 'Please enter your user name and password to log in to this system.'
    translations:
      - relationship: '&IDR_Translatable__has__Translation;'
        values:
          - language: '&IDI_Language_English;'
          - value: 'Login Page Instructions'
    
  - elementContent: '{4a827e38-e07a-4b8b-a19f-9217299f5c45}'
    defaultDataType: '&IDA_LoginPageInstructions;'
    order: b
    displayOptions:
    - instance: '&IDI_DisplayOption_DoNotShowLabel;'
    - instance: '&IDI_DisplayOption_NotEnterable;'
    - instance: '&IDI_DisplayOption_WideText;'

  - elementContent: '{c67f305e-bd4d-4628-816b-55fb85ea1b67}'
    defaultDataType: '&IDA_UserName;'
    order: c
    displayOptions:
    - instance: '&IDI_DisplayOption_Required;'

  - elementContent: '{51b51be3-44fd-48f1-971f-682aee0a6132}'
    defaultDataType: '&IDA_Password;'
    order: d
    displayOptions:
    - instance: '&IDI_DisplayOption_Required;'
    - instance: '&IDI_DisplayOption_ObscuredText;'

  - elementContent: '{684f1e03-9ecd-43d5-8aca-dcf5b84c71f8}'
    defaultDataType: '&IDA_UserNameOrPasswordIncorrectMessage;'
    order: e
    displayOptions:
    - instance: '&IDI_DisplayOption_DoNotShowLabel;'
    - instance: '&IDI_DisplayOption_DoNotShow;'
    - instance: '&IDI_DisplayOption_NotEnterable;'
    - instance: '&IDI_DisplayOption_WideText;'
